extends layout

block additionalStyles
  link(rel='stylesheet', href='/stylesheets/people.css')

block content
    section
        div.add-person-container
            a(href="/people/new" class="add-person-button") Add New Person

        table.people-table
            thead
                tr
                    th Name</th>
                    th Role</th>
                    th Location</th>
                    th Action</th>

            tbody
                each person in people
                    tr.person-row(data-id=person.id, onclick=`window.location.href='/people/${person.id}'`)
                        td.person-name #{person.name}
                        td.person-role #{person.title}
                        td.person-location #{person.location}
                        td.person-action
                            a(href=`/people/${person.id}`) View Details